package cn.estsh.i3plus.ext.mes.pcn.api.base.jx;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesRepairJudgeType;
import io.swagger.annotations.ApiOperation;

import java.util.List;
import java.util.Map;

public interface IRepairJudgeService {

    /**
     * 获取维修判定类型信息集合
     * @param organizeCode 组织代码
     * @return 维修判定类型信息集合
     */
    @ApiOperation(value = "获取维修判定类型信息集合", notes = "获取维修判定类型信息集合")
    List<MesRepairJudgeType> queryRepairJudgeList(String organizeCode);

    /**
     * 获取维修判定类型信息集合
     * @param organizeCode 组织代码
     * @return 维修判定类型信息集合
     */
    @ApiOperation(value = "获取维修判定类型信息集合", notes = "获取维修判定类型信息集合")
    Map<String, String> queryRepairJudgeMap(String organizeCode);
    
}
