package cn.estsh.i3plus.ext.mes.pcn.api.busi.jx;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.SxWorkCellTaktCollectRecord;
import cn.estsh.impp.framework.boot.exception.ImppBusiException;
import io.swagger.annotations.ApiOperation;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
 * @Author: wangjie
 * @CreateDate: 2021/01/18 11:22 上午
 * @Description:
 **/
public interface IJxWorkCellTaktCollectRecordService {

    /**
     * 插入节拍信息(新事务，不回滚)
     * @param workCellTaktCollectRecord 节拍信息
     */
    @ApiOperation(value = "插入节拍信息(新事务，不回滚)", notes = "插入节拍信息(新事务，不回滚)")
    @Transactional(propagation = Propagation.REQUIRES_NEW, noRollbackFor = {ImppBusiException.class, Exception.class})
    void insertWorkCellTaktCollectRecordNoRollback(SxWorkCellTaktCollectRecord workCellTaktCollectRecord);

}
